Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://preview.intermezzo.ai/organizations/{organization_id}/worksites \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "address": { "address": "<string>", "content": { "countryCode": "DE", "addressType": "HAUSANSCHRIFT" } }, "isActive": true, "isPrimary": true, "validFrom": "2023-12-25" } '
{ "name": "<string>", "address": { "id": "<string>", "address": "<string>", "components": { "formatted_address": "<string>", "street_number": "<string>", "road": "<string>", "city": "<string>", "state": "<string>", "country": "<string>", "postal_code": "<string>", "postal_code_suffix": "<string>", "latitude": 123, "longitude": 123 }, "content": { "normalizedAddress": "<string>", "countryCode": "DE", "addressType": "HAUSANSCHRIFT" } }, "isActive": true, "isPrimary": true, "id": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "correspondenceAddress": { "id": "<string>", "address": "<string>", "components": { "formatted_address": "<string>", "street_number": "<string>", "road": "<string>", "city": "<string>", "state": "<string>", "country": "<string>", "postal_code": "<string>", "postal_code_suffix": "<string>", "latitude": 123, "longitude": 123 }, "content": { "normalizedAddress": "<string>", "countryCode": "DE", "addressType": "HAUSANSCHRIFT" } }, "validFrom": "2023-12-25", "validTo": "2023-12-25", "orgId": "<string>", "contacts": [ { "name": "<string>", "id": "<string>", "email": "jsmith@example.com", "phone": { "phoneNumber": "<string>" }, "roles": [] } ], "taxIdentifiers": { "id": 123, "validFrom": "2023-12-25", "validTo": "2023-12-25", "taxData": { "country": "<string>", "validFrom": "2023-12-25", "validTo": "2023-12-25", "taxNumber": "<string>", "isEmployeeFlatTax": false, "isEmployeeMiniJobFlatTax": false } }, "insuranceData": { "id": 123, "validFrom": "2023-12-25", "validTo": "2023-12-25", "insuranceCountry": "DE", "worksiteLocationNumber": "98797889", "accidentInsuranceCompanyNumber": "98797889", "accidentInsurancePin": "DE-WS-PIN-456", "payrollServiceProviderNumber": "98797889", "payrollProcessingLocationNumber": "98797889" } }
Get token from Auth0 and paste it here
Show child attributes
Successful Response
Was this page helpful?